<template>
    <i class="iconfont" :class="CLASS" :style="STYLE" aria-hidden="true" />
</template>
<script lang="ts" setup>
import { computed } from "vue";
import { ref } from 'vue'
const props = defineProps({
    icon: { type:String, default:'tools' },
    _class: { type:String, default:'' },
    _style: { type:String, default:'' },
})
let classs = ref<string>('')
const CLASS = computed(()=>{
    if (props.icon) {
        classs.value = `icon_${props.icon}`
    }else{
        classs.value = 'icon_tools'
    }
    if (props._class) {
        classs.value = classs+' '+props._class
    }
    return classs.value
})
const STYLE = computed(()=>{
    return props._style
})
</script>

<style>
@import "@/common/assets/iconfont/iconfont.css";
</style>
